#ifndef CCTRLCHECKBOXID_H
#define CCTRLCHECKBOXID_H

#include <QCheckBox>
#include "export_ctrls_common.h"
class CTRLS_COMMON_EXPORT CCtrlCheckBoxID : public QCheckBox
{
    Q_OBJECT
public:
    explicit CCtrlCheckBoxID(QWidget *parent , int iID);
    int m_iID;
private slots:
    void MClick_Slot(bool istate);
signals:
    void MClick_Signal(int iID,bool istate);
};

#endif // CCTRLCHECKBOXID_H
